<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Context APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Context APIs<br/>
<small>
[<a class="el" href="group__group__vx__framework__object.html">Framework Objects</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__sort__context.html">tivx_graph_sort_context</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Context used while sorting a graph.  <a href="structtivx__graph__sort__context.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__context__t.html">tivx_context_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The top level context data for the entire OpenVX instance.  <a href="structtivx__context__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#gae4eed3b6e9eda1a840b91b0fa7c786fd">ownIsValidContext</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Check if 'context' is valid.  <a href="#gae4eed3b6e9eda1a840b91b0fa7c786fd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#gad3df22b80d553454ff8bb9c080b0a72e">ownAddReferenceToContext</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add reference to a context.  <a href="#gad3df22b80d553454ff8bb9c080b0a72e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#ga2b1b76e26e82acc1708101330a6ae760">ownRemoveReferenceFromContext</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove reference from a context.  <a href="#ga2b1b76e26e82acc1708101330a6ae760"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#ga4e833da4ad40df0660e78fa6012a28cf">ownAddKernelToContext</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a> kernel)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add's unique kernel to context.  <a href="#ga4e833da4ad40df0660e78fa6012a28cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#ga71c2cfc5a380259f348117aad598d23b">ownRemoveKernelFromContext</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a> kernel)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove unique kernel from context.  <a href="#ga71c2cfc5a380259f348117aad598d23b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#gaf2872762bd0e2573a87245ea34636481">ownIsKernelInContext</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> enumeration, const <a class="el" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713">vx_char</a> string[VX_MAX_KERNEL_NAME], <a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> *is_found)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Check if kernel exists inside the context.  <a href="#gaf2872762bd0e2573a87245ea34636481"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#ga8bfe7f7fb3ebea938ed7f9d675baaa15">ownContextSendCmd</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, uint32_t target_id, uint32_t cmd, uint32_t num_obj_desc, const uint16_t *obj_desc_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Send a command to specified target with object descriptor ID's as parameters.  <a href="#ga8bfe7f7fb3ebea938ed7f9d675baaa15"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#gac71a0ee04223ee7402c5fe4cf11772f2">ownContextGetKernelRemoveLock</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get value of kernel remove lock flag.  <a href="#gac71a0ee04223ee7402c5fe4cf11772f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#ga41b58a1e73a67133d6700ae8d210b382">ownContextSetKernelRemoveLock</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context, <a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> do_lock)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set value of kernel remove lock flag.  <a href="#ga41b58a1e73a67133d6700ae8d210b382"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#gaab38acaafb57ded5c2526415bfddc844">ownContextLock</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lock context.  <a href="#gaab38acaafb57ded5c2526415bfddc844"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__context.html#ga895aa24bb4b0cde01c395d5a8df27556">ownContextUnlock</a> (<a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a> context)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lock context.  <a href="#ga895aa24bb4b0cde01c395d5a8df27556"></a><br/></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gae4eed3b6e9eda1a840b91b0fa7c786fd"></a><!-- doxytag: member="vx_context.h::ownIsValidContext" ref="gae4eed3b6e9eda1a840b91b0fa7c786fd" args="(vx_context context)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> ownIsValidContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if 'context' is valid. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>context</em>&nbsp;</td><td>The reference to context</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A <code><a class="el" href="vx__types_8h.html#aa2387ff4d3e967f124fb316300503f92">vx_status_e</a></code> enumeration. </dd></dl>
<dl><dt><b>Return values:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>VX_SUCCESS</em>&nbsp;</td><td>No errors. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad3df22b80d553454ff8bb9c080b0a72e"></a><!-- doxytag: member="vx_context.h::ownAddReferenceToContext" ref="gad3df22b80d553454ff8bb9c080b0a72e" args="(vx_context context, vx_reference ref)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> ownAddReferenceToContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>ref</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add reference to a context. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>context</em>&nbsp;</td><td>The overall context. </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>ref</em>&nbsp;</td><td>The reference to add. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>vx_true_e on success </dd>
<dd>
vx_false_e on failure </dd></dl>

</div>
</div>
<a class="anchor" id="ga2b1b76e26e82acc1708101330a6ae760"></a><!-- doxytag: member="vx_context.h::ownRemoveReferenceFromContext" ref="ga2b1b76e26e82acc1708101330a6ae760" args="(vx_context context, vx_reference ref)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> ownRemoveReferenceFromContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td>
          <td class="paramname"> <em>ref</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove reference from a context. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>context</em>&nbsp;</td><td>The overall context. </td></tr>
    <tr><td valign="top"><tt>[in]</tt>&nbsp;</td><td valign="top"><em>ref</em>&nbsp;</td><td>The reference to remove. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>vx_true_e on success </dd>
<dd>
vx_false_e on failure </dd></dl>

</div>
</div>
<a class="anchor" id="ga4e833da4ad40df0660e78fa6012a28cf"></a><!-- doxytag: member="vx_context.h::ownAddKernelToContext" ref="ga4e833da4ad40df0660e78fa6012a28cf" args="(vx_context context, vx_kernel kernel)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> ownAddKernelToContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a>&nbsp;</td>
          <td class="paramname"> <em>kernel</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add's unique kernel to context. </p>
<p>Increment internal reference count of the kernel </p>

</div>
</div>
<a class="anchor" id="ga71c2cfc5a380259f348117aad598d23b"></a><!-- doxytag: member="vx_context.h::ownRemoveKernelFromContext" ref="ga71c2cfc5a380259f348117aad598d23b" args="(vx_context context, vx_kernel kernel)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> ownRemoveKernelFromContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a>&nbsp;</td>
          <td class="paramname"> <em>kernel</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove unique kernel from context. </p>
<p>Decrement internal reference count of the kernel </p>

</div>
</div>
<a class="anchor" id="gaf2872762bd0e2573a87245ea34636481"></a><!-- doxytag: member="vx_context.h::ownIsKernelInContext" ref="gaf2872762bd0e2573a87245ea34636481" args="(vx_context context, vx_enum enumeration, const vx_char string[VX_MAX_KERNEL_NAME], vx_bool *is_found)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> ownIsKernelInContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>enumeration</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713">vx_char</a>&nbsp;</td>
          <td class="paramname"> <em>string</em>[VX_MAX_KERNEL_NAME], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> *&nbsp;</td>
          <td class="paramname"> <em>is_found</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if kernel exists inside the context. </p>

</div>
</div>
<a class="anchor" id="ga8bfe7f7fb3ebea938ed7f9d675baaa15"></a><!-- doxytag: member="vx_context.h::ownContextSendCmd" ref="ga8bfe7f7fb3ebea938ed7f9d675baaa15" args="(vx_context context, uint32_t target_id, uint32_t cmd, uint32_t num_obj_desc, const uint16_t *obj_desc_id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> ownContextSendCmd </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&nbsp;</td>
          <td class="paramname"> <em>target_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&nbsp;</td>
          <td class="paramname"> <em>cmd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&nbsp;</td>
          <td class="paramname"> <em>num_obj_desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint16_t *&nbsp;</td>
          <td class="paramname"> <em>obj_desc_id</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Send a command to specified target with object descriptor ID's as parameters. </p>
<p>This API waits until ACK for the command is received</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>context</em>&nbsp;</td><td>[in] context to use when sending the command </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>target_id</em>&nbsp;</td><td>[in] ID of Target to whom the command is being sent </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>cmd</em>&nbsp;</td><td>[in] command to send </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>num_obj_desc</em>&nbsp;</td><td>[in] number of object descriptors to send </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>obj_desc_id</em>&nbsp;</td><td>[in] List of object descriptor to send </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac71a0ee04223ee7402c5fe4cf11772f2"></a><!-- doxytag: member="vx_context.h::ownContextGetKernelRemoveLock" ref="gac71a0ee04223ee7402c5fe4cf11772f2" args="(vx_context context)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> ownContextGetKernelRemoveLock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get value of kernel remove lock flag. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>context</em>&nbsp;</td><td>[in] context </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga41b58a1e73a67133d6700ae8d210b382"></a><!-- doxytag: member="vx_context.h::ownContextSetKernelRemoveLock" ref="ga41b58a1e73a67133d6700ae8d210b382" args="(vx_context context, vx_bool do_lock)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ownContextSetKernelRemoveLock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td>
          <td class="paramname"> <em>do_lock</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set value of kernel remove lock flag. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>context</em>&nbsp;</td><td>[in] context </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>do_lock</em>&nbsp;</td><td>[in] kernel remove lock value to set </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaab38acaafb57ded5c2526415bfddc844"></a><!-- doxytag: member="vx_context.h::ownContextLock" ref="gaab38acaafb57ded5c2526415bfddc844" args="(vx_context context)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> ownContextLock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lock context. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>context</em>&nbsp;</td><td>[in] context </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga895aa24bb4b0cde01c395d5a8df27556"></a><!-- doxytag: member="vx_context.h::ownContextUnlock" ref="ga895aa24bb4b0cde01c395d5a8df27556" args="(vx_context context)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> ownContextUnlock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249">vx_context</a>&nbsp;</td>
          <td class="paramname"> <em>context</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lock context. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>context</em>&nbsp;</td><td>[in] context </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
